using System;

namespace Server.Items
{

	[FlipableAttribute(0x12DC, 0x12E7)]
	public class WhiteCurtainPanel : Item, IDyable
	{
		[Constructable]
		public WhiteCurtainPanel() : base(0x12DC)
		{
			Weight = 6;
		}

		public WhiteCurtainPanel(Serial serial) : base(serial)
		{
		}
public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted )
				return false;

			Hue = sender.DyedHue;

			return true;
		}
		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}